%define sname	odbcng

Name:		postgresql-%{sname}
Summary:	PostgreSQL ODBCng driver
Version:	0.90.101
Release:	2%{?dist}
License:	LGPLv2
Group:		Applications/Databases
Url:		http://projects.commandprompt.com/public/%{sname}

# This is not the actual URL to tarball. It also includes ?format=raw 
# at the end, but I had to skip that part.
Source0:	https://projects.commandprompt.com/public/%{sname}/attachment/wiki/Downloads/%{sname}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	openssl-devel, unixODBC-devel
BuildRequires:	libtool automake autoconf 

%description
ODBCng is a written from scratch ODBC driver for PostgreSQL 8.x.
ODBCng is a wire-level ODBC driver meaning that we do not require 
libpq or any PostgreSQL libraries be installed to function.

%prep
%setup -q -n %{sname}-%{version}

aclocal
libtoolize --force
autoconf

sed -i.strip -e 's|strip|true strip|' makefile.in

%build

%configure --with-ssl

make

%install
rm -rf %{buildroot}
install -m 755 -d %{buildroot}/%{_libdir}
install -m 755 ./.libs/libmodbc.so* %{buildroot}/%{_libdir}

pushd %{buildroot}/%{_libdir}
popd
#strip %{buildroot}/%{_libdir}/*.so

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%attr(755,root,root) %{_libdir}/libmodbc.so*
%doc COPYING COPYRIGHT LICENSE.txt

%changelog
* Fri Jun 6 2008 Devrim GUNDUZ <devrim@commandprompt.com> - 0.90.101-2
- Fix debuginfo issue, per review.

* Sat May 17 2008 Devrim GUNDUZ <devrim@commandprompt.com> - 0.90.101-1
- initial build for Fedora
